Extending Qt Creator Manual | ProjectPanelFactory

Extending Qt Creator Manual 4.5.2

# ProjectPanelFactory Class

(ProjectExplorer::ProjectPanelFactory)

- List of all members, including inherited members

## Public Functions

| ProjectPanelFactory()
Utils::TreeItem * | createPanelItem(Project *project)
QWidget * | createWidget(Project *project) const
QString | displayName() const
QString | icon() const
int | priority() const
void | setCreateWidgetFunction(const WidgetCreator &createWidgetFunction)
void | setDisplayName(const QString &name)
void | setIcon(const QString &icon)
void | setPriority(int priority)
void | setSupportsFunction(std::function<bool( Project * ) > function)
bool | supports(Project *project)

## Static Public Members

QList<ProjectPanelFactory *> | factories()
void | registerFactory(ProjectPanelFactory *factory)

## Member Function Documentation

### ProjectPanelFactory::ProjectPanelFactory()

Default constructs an instance of ProjectPanelFactory.

### Utils::TreeItem *ProjectPanelFactory::createPanelItem(Project *project)

### QWidget *ProjectPanelFactory::createWidget(Project *project) const

### QString ProjectPanelFactory::displayName() const

See also setDisplayName().

### `[static]` QList<ProjectPanelFactory *> ProjectPanelFactory::factories()

### QString ProjectPanelFactory::icon() const

See also setIcon().

### int ProjectPanelFactory::priority() const

See also setPriority().

### `[static]` void ProjectPanelFactory::registerFactory(ProjectPanelFactory *factory)

### void ProjectPanelFactory::setCreateWidgetFunction(const WidgetCreator &createWidgetFunction)

### void ProjectPanelFactory::setDisplayName(const QString &name)

See also displayName().

### void ProjectPanelFactory::setIcon(const QString &icon)

See also icon().

### void ProjectPanelFactory::setPriority(int priority)

See also priority().

### void ProjectPanelFactory::setSupportsFunction(std::function<bool( Project * ) > function)

### bool ProjectPanelFactory::supports(Project *project)